Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 766)
@@ -110,7 +110,5 @@
 #endif
 , m_pocResetFlag                  (false)
-#if H_MV_6_RALS_O0149_11
 , m_crossLayerBlaFlag             (false)
-#endif
 , m_discardableFlag               (false)
 , m_interLayerPredEnabledFlag     (false)
@@ -1705,7 +1703,5 @@
 , m_hrdOpSetIdx               (NULL)
 , m_cprmsPresentFlag          (NULL)
-#if H_MV_6_HRD_O0217_13
 , m_dpbSize                   (NULL)
-#endif
 #if H_MV
 , m_vpsVUI                 (  NULL )
@@ -1723,9 +1719,5 @@
     for( Int layerId = 0; layerId < MAX_VPS_NUH_LAYER_ID_PLUS1; layerId++ )
     {
-#if H_MV_6_HRD_O0217_13
       m_layerIdIncludedFlag[lsIdx][layerId] = (( lsIdx == 0 ) && ( layerId == 0 )) ; 
-#else
-      m_layerIdIncludedFlag[lsIdx][layerId] = false; 
-#endif
     }
   } 
@@ -1741,9 +1733,5 @@
   m_moreOutputLayerSetsThanDefaultFlag = false;   
   m_numAddOutputLayerSetsMinus1        = -1;   
-#if H_MV_6_PS_0109_25
   m_defaultOneTargetOutputLayerIdc     = 0; 
-#else
-  m_defaultOneTargetOutputLayerFlag    = false; 
-#endif
   
   for ( Int i = 0; i < MAX_VPS_OUTPUTLAYER_SETS; i++)
@@ -1756,7 +1744,5 @@
     }
   }
-#if H_MV_6_GEN_0153_28
   m_altOutputLayerFlag       = false; 
-#endif
   m_maxOneActiveRefLayerFlag = false; 
   m_directDepTypeLenMinus2   = 0;         
@@ -1795,11 +1781,6 @@
     m_layerIdInNuh      [i] = ( i == 0 ) ? 0 : -1; 
     m_numDirectRefLayers[i] = 0; 
-#if !H_MV_6_ILDDS_O0225_30
-    m_maxTidIlRefPicPlus1[i] = 7;
-#endif
     m_vpsRepFormatIdx    [i] = 0; 
-#if H_MV_6_MISC_O0062_31
     m_pocLsbNotPresentFlag[i] = 0;
-#endif
     m_repFormat          [i] = NULL; 
     m_viewIdVal          [i] = 0; 
@@ -1837,7 +1818,5 @@
       m_directDependencyType[i][j] = -1; 
       m_refLayerId[i][j]           = -1; 
-#if H_MV_6_ILDDS_O0225_30      
       m_maxTidIlRefPicsPlus1[i][j]  = 7;
-#endif
     }
 
@@ -1852,7 +1831,5 @@
   }
   m_vpsVUI = new TComVPSVUI; 
-#if H_MV_6_HRD_O0217_13
   m_dpbSize = new TComDpbSize; 
-#endif
 #
 #if H_3D
@@ -1889,7 +1866,5 @@
 #if H_MV
   if ( m_vpsVUI          != NULL )     delete m_vpsVUI; 
-#if H_MV_6_HRD_O0217_13
   if ( m_dpbSize         != NULL )     delete m_dpbSize; 
-#endif
 
   for( Int i = 0; i < MAX_NUM_LAYERS; i++ )
@@ -2193,17 +2168,7 @@
   assert( lsIdx >= 0 ); 
   assert( lsIdx <= getVpsNumLayerSetsMinus1() ); 
-#if H_MV_6_HRD_O0217_13
   return (Int) m_layerSetLayerIdList[ lsIdx ].size(); 
-#else
-  Int numLayersInIdList = 0; 
-  for (Int layerId = 0; layerId < getVpsMaxLayerId(); layerId++ )
-  {
-    numLayersInIdList += ( getLayerIdIncludedFlag( lsIdx, layerId ) ); 
-  }
-  return numLayersInIdList;
-#endif
-}
-
-#if H_MV_6_HRD_O0217_13
+}
+
 Int    TComVPS::getNumOutputLayerSets() 
 {
@@ -2215,5 +2180,4 @@
   return numOutputLayerSets; 
 }
-#endif
 
 Int TComVPS::getNumViews()
@@ -2247,5 +2211,4 @@
 }
 
-#if H_MV_6_HRD_O0217_13
 Void TComVPS::deriveLayerSetLayerIdList()
 {
@@ -2283,5 +2246,4 @@
   }
 }
-#endif
 #endif // H_MV
 
@@ -2338,10 +2300,6 @@
 , m_spsScalingListRefLayerId  ( 0 )
 
-#if !H_MV_6_PS_REP_FORM_18_19_20
-, m_updateRepFormatFlag       ( true ) 
-#else
 , m_updateRepFormatFlag       ( false ) 
 , m_spsRepFormatIdx           ( 0 )
-#endif
 , m_interViewMvVertConstraintFlag (false)
 #endif
@@ -2359,5 +2317,4 @@
   ::memset(m_ltRefPicPocLsbSps, 0, sizeof(m_ltRefPicPocLsbSps));
   ::memset(m_usedByCurrPicLtSPSFlag, 0, sizeof(m_usedByCurrPicLtSPSFlag));
-#if H_MV_6_PSEM_O0142_3
   m_spsExtensionFlag = false; 
   for( Int i = 0; i < PS_EX_T_MAX_NUM; i++ ) 
@@ -2365,6 +2322,4 @@
     m_spsExtensionTypeFlag[ i ] = false;
   }
-#endif
-#if H_MV_6_SHVC_O0098_36
   m_numScaledRefLayerOffsets = 0; 
 
@@ -2381,5 +2336,4 @@
     m_scaledRefLayerBottomOffset   [i] = 0;
   }
-#endif
 }
 
@@ -2742,12 +2696,6 @@
   if ( layerIdCurr > 0 )
   { 
-#if H_MV_6_PS_REP_FORM_18_19_20
     Int            repFormatIdx = getUpdateRepFormatFlag() ?  getSpsRepFormatIdx() : vps->getVpsRepFormatIdx( vps->getLayerIdInVps( layerIdCurr ) ) ;
     TComRepFormat* repFormat    = vps->getRepFormat( repFormatIdx ); 
-#else
-    TComRepFormat* repFormat = vps->getRepFormat( vps->getVpsRepFormatIdx( vps->getLayerIdInVps( layerIdCurr ) ) ); 
-    if ( !getUpdateRepFormatFlag() )
-    {        
-#endif
       setChromaFormatIdc( repFormat->getChromaFormatVpsIdc() );         
       //// ToDo: add when supported: 
@@ -2762,10 +2710,5 @@
       setBitDepthC             ( repFormat->getBitDepthVpsChromaMinus8() + 8 ); 
       setQpBDOffsetC           ( (Int) (6* ( getBitDepthC() -8 ) ) );
-#if !H_MV_6_PS_REP_FORM_18_19_20
-    }
-    else
-#else
     if ( getLayerId() > 0 && getUpdateRepFormatFlag() )
-#endif
     {
       assert( getChromaFormatIdc()      <=  repFormat->getChromaFormatVpsIdc()         ); 
@@ -3139,8 +3082,6 @@
     {
       TComPic* pcPic = ivPicLists->getPic( targetDecLayerIdSet[ i ], curPoc ); 
-#if H_MV_LAYER_WISE_STARTUP
       if ( pcPic )
       {
-#endif
       if( pcPic->getSlice(0)->isReferenced() && pcPic->getSlice(0)->getTemporalLayerNonReferenceFlag() ) 
       { 
@@ -3165,7 +3106,5 @@
       }
     }
-#if H_MV_LAYER_WISE_STARTUP
-      }
-#endif
+      }
   }
 }
@@ -3225,5 +3164,4 @@
 
 
-#if H_MV_6_ILDDS_ILREFPICS_27_34
 Int  TComSlice::getRefLayerPicFlag( Int i ) 
 {
@@ -3268,5 +3206,4 @@
   return numRefLayerPics; 
 }
-#endif
 
 
@@ -3282,9 +3219,5 @@
   else if (getVPS()->getAllRefLayersActiveFlag() )
   {
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     numActiveRefLayerPics = getNumRefLayerPics(); 
-#else
-    numActiveRefLayerPics = getVPS()->getNumDirectRefLayers( getLayerId() );
-#endif
   }
   else if ( !getInterLayerPredEnabledFlag() )
@@ -3294,9 +3227,5 @@
   else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerId() ) == 1 )
   {
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     numActiveRefLayerPics = getRefLayerPicFlag( 0 ) ? 1 : 0; 
-#else
-    numActiveRefLayerPics = 1; 
-#endif
   }
   else
@@ -3876,7 +3805,5 @@
 TComVPSVUI::TComVPSVUI()
 {
-#if H_MV_6_PS_O0223_29
   m_crossLayerIrapAlignedFlag = true; 
-#endif
   m_bitRatePresentVpsFlag = false;
   m_picRatePresentVpsFlag = false;
@@ -3906,18 +3833,13 @@
     }
   }
-#if H_MV_6_PS_O0118_33  
   for ( Int i = 0; i < MAX_NUM_VIDEO_SIGNAL_INFO; i++ )
   {
     m_videoSignalInfo          [i] = NULL;     
   }
-#endif
-
-#if H_MV_6_HRD_O0164_15
+
   m_vpsVuiBspHrdPresentFlag = false; 
   m_vpsVuiBspHrdParameters  = new TComVpsVuiBspHrdParameters();
-#endif
-}
-
-#if H_MV_6_PS_O0118_33
+}
+
 TComVPSVUI::~TComVPSVUI()
 {
@@ -3928,12 +3850,8 @@
   }
 
-#if H_MV_6_HRD_O0164_15
   if ( m_vpsVuiBspHrdParameters ) delete m_vpsVuiBspHrdParameters;
   m_vpsVuiBspHrdParameters = NULL; 
-#endif
-}
-#endif
-
-#if H_MV_6_PS_REP_FORM_18_19_20
+}
+
 Void TComRepFormat::inferChromaAndBitDepth( TComRepFormat* prevRepFormat, Bool encoderFlag )
 {
@@ -3953,7 +3871,5 @@
 }
 }
-#endif
-
-#if H_MV_6_HRD_O0164_15
+
 Void TComVpsVuiBspHrdParameters::checkLayerInBspFlag( TComVPS* vps, Int h )
 {
@@ -3983,3 +3899,2 @@
 }
 #endif
-#endif
Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 766)
@@ -62,7 +62,5 @@
 // ====================================================================================================================
 
-#if H_MV_6_HRD_O0164_15
 class TComVPS; 
-#endif
 /// Reference Picture Set class
 class TComReferencePictureSet
@@ -407,5 +405,4 @@
 #if H_MV
 
-#if H_MV_6_PS_O0118_33
 class TComVideoSignalInfo
 {
@@ -432,6 +429,4 @@
   Int  getMatrixCoeffsVps(  ) { return m_matrixCoeffsVps; } 
 };
-#endif
-#if H_MV_6_HRD_O0164_15
 class TComVpsVuiBspHrdParameters
 {
@@ -473,12 +468,9 @@
 };
 
-#endif
 class TComVPSVUI
 {
 private:
-#if H_MV_6_PS_O0223_29
   Bool m_crossLayerPicTypeAlignedFlag;
   Bool m_crossLayerIrapAlignedFlag;
-#endif
   Bool m_bitRatePresentVpsFlag;
   Bool m_picRatePresentVpsFlag;
@@ -489,33 +481,24 @@
   Int  m_constantPicRateIdc          [MAX_VPS_OP_SETS_PLUS1][MAX_TLAYER];
   Int  m_avgPicRate                  [MAX_VPS_OP_SETS_PLUS1][MAX_TLAYER];
-#if H_MV_6_O0226_37
   Bool m_tilesNotInUseFlag;
   Bool m_tilesInUseFlag              [MAX_NUM_LAYERS];
   Bool m_loopFilterNotAcrossTilesFlag[MAX_NUM_LAYERS];
-#endif  
   Bool m_tileBoundariesAlignedFlag   [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#if H_MV_6_O0226_37
   Bool m_wppNotInUseFlag;
   Bool m_wppInUseFlag                [MAX_NUM_LAYERS];
-#endif
   Bool m_ilpRestrictedRefLayersFlag;
   Int  m_minSpatialSegmentOffsetPlus1[MAX_NUM_LAYERS][MAX_NUM_LAYERS];
   Bool m_ctuBasedOffsetEnabledFlag   [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
   Int  m_minHorizontalCtuOffsetPlus1 [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#if H_MV_6_PS_O0118_33
   Bool m_videoSignalInfoIdxPresentFlag;
   Int  m_vpsNumVideoSignalInfoMinus1;
   TComVideoSignalInfo* m_videoSignalInfo[MAX_NUM_VIDEO_SIGNAL_INFO];   
   Int  m_vpsVideoSignalInfoIdx       [MAX_NUM_VIDEO_SIGNAL_INFO];
-#endif
-#if H_MV_6_HRD_O0164_15
   Bool m_vpsVuiBspHrdPresentFlag;
   TComVpsVuiBspHrdParameters* m_vpsVuiBspHrdParameters; 
-#endif
 
 public: 
   TComVPSVUI();
   ~TComVPSVUI(); 
-#if H_MV_6_PS_O0223_29
   Void setCrossLayerPicTypeAlignedFlag( Bool flag ) { m_crossLayerPicTypeAlignedFlag = flag; } 
   Bool getCrossLayerPicTypeAlignedFlag(  ) { return m_crossLayerPicTypeAlignedFlag; } 
@@ -523,5 +506,4 @@
   Void setCrossLayerIrapAlignedFlag( Bool flag ) { m_crossLayerIrapAlignedFlag = flag; } 
   Bool getCrossLayerIrapAlignedFlag(  ) { return m_crossLayerIrapAlignedFlag; } 
-#endif
 
   Void setBitRatePresentVpsFlag( Bool flag ) { m_bitRatePresentVpsFlag = flag; } 
@@ -549,5 +531,4 @@
   Int  getAvgPicRate( Int i, Int j ) { return m_avgPicRate[i][j]; } 
 
-#if H_MV_6_O0226_37
   Void setTilesNotInUseFlag( Bool flag ) { m_tilesNotInUseFlag = flag; } 
   Bool getTilesNotInUseFlag(  ) { return m_tilesNotInUseFlag; } 
@@ -558,10 +539,8 @@
   Void setLoopFilterNotAcrossTilesFlag( Int i, Int  val ) { m_loopFilterNotAcrossTilesFlag[i] = val; } 
   Bool getLoopFilterNotAcrossTilesFlag( Int i ) { return m_loopFilterNotAcrossTilesFlag[i]; } 
-#endif
 
   Void setTileBoundariesAlignedFlag( Int i, Int j, Bool flag ) { m_tileBoundariesAlignedFlag[i][j] = flag; } 
   Bool getTileBoundariesAlignedFlag( Int i, Int j ) { return m_tileBoundariesAlignedFlag[i][j]; } 
 
-#if H_MV_6_O0226_37
   Void setWppNotInUseFlag( Bool flag ) { m_wppNotInUseFlag = flag; } 
   Bool getWppNotInUseFlag(  ) { return m_wppNotInUseFlag; } 
@@ -569,5 +548,4 @@
   Void setWppInUseFlag( Int i, Bool flag ) { m_wppInUseFlag[i] = flag; } 
   Bool getWppInUseFlag( Int i ) { return m_wppInUseFlag[i]; } 
-#endif
 
   Void setIlpRestrictedRefLayersFlag( Bool flag ) { m_ilpRestrictedRefLayersFlag = flag; } 
@@ -583,5 +561,4 @@
   Int  getMinHorizontalCtuOffsetPlus1( Int i, Int j ) { return m_minHorizontalCtuOffsetPlus1[i][j]; } 
 
-#if H_MV_6_PS_O0118_33
   Void setVideoSignalInfoIdxPresentFlag( Bool flag ) { m_videoSignalInfoIdxPresentFlag = flag; } 
   Bool getVideoSignalInfoIdxPresentFlag(  ) { return m_videoSignalInfoIdxPresentFlag; } 
@@ -595,7 +572,5 @@
   Void setVpsVideoSignalInfoIdx( Int i, Int  val ) { m_vpsVideoSignalInfoIdx[i] = val; } 
   Int  getVpsVideoSignalInfoIdx( Int i ) { return m_vpsVideoSignalInfoIdx[i]; } 
-#endif
-
-#if H_MV_6_HRD_O0164_15
+
   Void setVpsVuiBspHrdPresentFlag( Bool flag ) { m_vpsVuiBspHrdPresentFlag = flag; } 
   Bool getVpsVuiBspHrdPresentFlag(  ) { return m_vpsVuiBspHrdPresentFlag; }
@@ -603,5 +578,4 @@
   Void setVpsVuiBspHrdParameters( TComVpsVuiBspHrdParameters* val) {  m_vpsVuiBspHrdParameters = val; } 
   TComVpsVuiBspHrdParameters* getVpsVuiBspHrdParameters(  ) { return m_vpsVuiBspHrdParameters; }
-#endif
 };
 
@@ -609,7 +583,5 @@
 {
 private:
-#if H_MV_6_PS_REP_FORM_18_19_20
   Bool m_chromaAndBitDepthVpsPresentFlag;
-#endif
   Int  m_chromaFormatVpsIdc;
   Bool m_separateColourPlaneVpsFlag;
@@ -622,10 +594,8 @@
   TComRepFormat() { };  
 
-#if H_MV_6_PS_REP_FORM_18_19_20
   Void setChromaAndBitDepthVpsPresentFlag( Bool flag ) { m_chromaAndBitDepthVpsPresentFlag = flag; } 
   Bool getChromaAndBitDepthVpsPresentFlag(  ) { return m_chromaAndBitDepthVpsPresentFlag; } 
   Void checkChromaAndBitDepthVpsPresentFlag( Int i ) { assert( i != 0 || m_chromaAndBitDepthVpsPresentFlag ); } // The value of chroma_and_bit_depth_vps_present_flag of the first rep_format( ) syntax structure in the VPS shall be equal to 1.  
   Void inferChromaAndBitDepth( TComRepFormat* prevRepFormat, Bool encoderFlag );
-#endif
 
   Void setChromaFormatVpsIdc( Int  val ) { m_chromaFormatVpsIdc = val; } 
@@ -649,5 +619,4 @@
 #endif
 
-#if H_MV_6_HRD_O0217_13
 class TComDpbSize
 {
@@ -695,5 +664,4 @@
   Int  getMaxVpsLatencyIncreasePlus1( Int i, Int j ) { return m_maxVpsLatencyIncreasePlus1[i][j]; } 
 };
-#endif
 
 class TComVPS
@@ -748,21 +716,11 @@
   Int         m_dimensionId              [MAX_NUM_LAYER_IDS][MAX_NUM_SCALABILITY_TYPES];  
 
-#if H_MV_6_PS_O0109_22
   Int         m_viewIdLen;
-#else
-  Int         m_viewIdLenMinus1;
-#endif
   Int         m_viewIdVal                [MAX_NUM_LAYERS];
   Bool        m_directDependencyFlag     [MAX_NUM_LAYER_IDS][MAX_NUM_LAYER_IDS];
-#if H_MV_6_ILDSD_O0120_26
   Bool        m_vpsSubLayersMaxMinus1PresentFlag;
   Int         m_subLayersVpsMaxMinus1    [MAX_NUM_LAYERS];
-#endif
   Bool        m_maxTidRefPresentFlag;
-#if H_MV_6_ILDDS_O0225_30
   Int         m_maxTidIlRefPicsPlus1     [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#else
-  Int         m_maxTidIlRefPicPlus1      [MAX_NUM_LAYERS];
-#endif
   Bool        m_allRefLayersActiveFlag;
   Int         m_vpsNumberLayerSetsMinus1; 
@@ -772,15 +730,9 @@
   Bool        m_moreOutputLayerSetsThanDefaultFlag;
   Int         m_numAddOutputLayerSetsMinus1;    
-#if H_MV_6_PS_0109_25
   Int         m_defaultOneTargetOutputLayerIdc;
-#else
-  Bool        m_defaultOneTargetOutputLayerFlag;
-#endif
   Int         m_outputLayerSetIdxMinus1  [MAX_VPS_OUTPUTLAYER_SETS];  
   Bool        m_outputLayerFlag          [MAX_VPS_OUTPUTLAYER_SETS][MAX_VPS_NUH_LAYER_ID_PLUS1];
   Int         m_profileLevelTierIdx      [MAX_VPS_OUTPUTLAYER_SETS ];
-#if H_MV_6_GEN_0153_28
   Bool        m_altOutputLayerFlag;
-#endif
   Bool        m_repFormatIdxPresentFlag;
   Int         m_vpsNumRepFormatsMinus1;
@@ -788,19 +740,10 @@
   TComRepFormat* m_repFormat             [MAX_NUM_LAYERS]; 
   Bool        m_maxOneActiveRefLayerFlag;       
-#if H_MV_6_MISC_O0062_31
   Bool        m_pocLsbNotPresentFlag     [MAX_NUM_LAYERS];
-#endif
-
-#if H_MV_6_HRD_O0217_13
+
   TComDpbSize* m_dpbSize; 
-#endif
-#if !H_MV_6_PS_O0223_29       
-  Bool        m_crossLayerIrapAlignedFlag;
-#endif
   Int         m_directDepTypeLenMinus2;         
-#if H_MV_6_PS_O0096_21
   Bool        m_defaultDirectDependencyFlag;
   Int         m_defaultDirectDependencyType;
-#endif
   Bool        m_vpsVuiPresentFlag;
   TComVPSVUI* m_vpsVUI; 
@@ -822,9 +765,7 @@
   Int         m_viewIndex                [MAX_NUM_LAYERS   ];
   
-#if H_MV_6_HRD_O0217_13
   std::vector< std::vector< Int> >       m_targetDecLayerIdLists;   //[TargetOptLayerSetIdx][i]
   std::vector< std::vector< Int> >       m_targetOptLayerIdLists; 
   std::vector< std::vector< Int> >       m_layerSetLayerIdList; 
-#endif
 
 
@@ -901,7 +842,5 @@
   UInt    getMaxTLayers  ()                   { return m_uiMaxTLayers;   }
   Void    setMaxTLayers  (UInt t)             { m_uiMaxTLayers = t; }
-#if H_MV_6_HRD_O0164_15
   UInt    getMaxSubLayersMinus1()             { return m_uiMaxTLayers - 1;  }  // For consistency with draft spec
-#endif
 #if H_MV    
   UInt    getMaxLayersMinus1()                { return m_uiMaxLayersMinus1;  }; 
@@ -978,11 +917,6 @@
   Int     getDimensionId( Int layerIdInVps, Int scalIdx )                  { return m_dimensionId[layerIdInVps][scalIdx]; }
 
-#if H_MV_6_PS_O0109_22
   Void    setViewIdLen( Int  val )                                         { m_viewIdLen = val; } 
   Int     getViewIdLen(  )                                                 { return m_viewIdLen; } 
-#else
-  Void    setViewIdLenMinus1( Int  val )                                   { m_viewIdLenMinus1 = val; } 
-  Int     getViewIdLenMinus1(  )                                           { return m_viewIdLenMinus1; } 
-#endif
 
   Void    setViewIdVal( Int viewOrderIndex, Int  val )                     { m_viewIdVal[viewOrderIndex] = val; } 
@@ -990,5 +924,4 @@
   Void    setDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Bool val ) { m_directDependencyFlag[depLayeridInVps][refLayeridInVps] = val;  }
   Bool    getDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps )           { return m_directDependencyFlag[depLayeridInVps][refLayeridInVps]; }
-#if H_MV_6_ILDSD_O0120_26
   Void    setVpsSubLayersMaxMinus1PresentFlag( Bool flag )                 { m_vpsSubLayersMaxMinus1PresentFlag = flag; } 
   Bool    getVpsSubLayersMaxMinus1PresentFlag(  )                          { return m_vpsSubLayersMaxMinus1PresentFlag; } 
@@ -996,14 +929,8 @@
   Int     getSubLayersVpsMaxMinus1( Int i )                                { return m_subLayersVpsMaxMinus1[i]; } 
   Void    checkSubLayersVpsMaxMinus1( Int i )                              { assert( m_subLayersVpsMaxMinus1[i] >= 0 && m_subLayersVpsMaxMinus1[i] <= m_uiMaxTLayers - 1 ); }
-#endif
   Void    setMaxTidRefPresentFlag( Bool flag )                             { m_maxTidRefPresentFlag = flag; } 
   Bool    getMaxTidRefPresentFlag(  )                                      { return m_maxTidRefPresentFlag; } 
-#if H_MV_6_ILDDS_O0225_30
   Void    setMaxTidIlRefPicsPlus1( Int i, Int j, Int  val )                { m_maxTidIlRefPicsPlus1[i][j] = val; } 
   Int     getMaxTidIlRefPicsPlus1( Int i, Int j )                          { return m_maxTidIlRefPicsPlus1[i][j]; } 
-#else
-  Void    setMaxTidIlRefPicPlus1( Int layerIdInVps, Int val )              { m_maxTidIlRefPicPlus1[ layerIdInVps ] = val;  } 
-  Int     getMaxTidIlRefPicPlus1( Int layerIdInVps )                       { return m_maxTidIlRefPicPlus1[ layerIdInVps ]; } 
-#endif
   Void    setAllRefLayersActiveFlag( Bool flag )                           { m_allRefLayersActiveFlag = flag; } 
   Bool    getAllRefLayersActiveFlag(  )                                    { return m_allRefLayersActiveFlag; } 
@@ -1019,7 +946,5 @@
   Void    setProfileRefMinus1( Int profileTierLevelIdx, Int val )          { m_profileRefMinus1[ profileTierLevelIdx ] = val;  } 
   Int     getProfileRefMinus1( Int profileTierLevelIdx )                   { return m_profileRefMinus1[ profileTierLevelIdx ]; } 
-#if H_MV_6_PS_O0109_23
   Void    checkProfileRefMinus1( Int i )                                   { assert( getProfileRefMinus1( i ) + 1 <= i ); };  //  The value of profile_ref_minus1[ i ] + 1 shall be less than or equal to i.
-#endif
   Void    setMoreOutputLayerSetsThanDefaultFlag( Bool flag )               { m_moreOutputLayerSetsThanDefaultFlag = flag; } 
   Bool    getMoreOutputLayerSetsThanDefaultFlag()                          { return m_moreOutputLayerSetsThanDefaultFlag; } 
@@ -1028,12 +953,7 @@
   Int     getNumAddOutputLayerSetsMinus1( )                                { return m_numAddOutputLayerSetsMinus1; } 
   
-#if H_MV_6_PS_0109_25  
   Void    setDefaultOneTargetOutputLayerIdc( Int  val )                    { m_defaultOneTargetOutputLayerIdc = val; } 
   Int     getDefaultOneTargetOutputLayerIdc(  )                            { return m_defaultOneTargetOutputLayerIdc; } 
   Void    checkDefaultOneTargetOutputLayerIdc( )                           { assert( m_defaultOneTargetOutputLayerIdc >= 0 && m_defaultOneTargetOutputLayerIdc <= 1 ); }
-#else
-  Void    setDefaultOneTargetOutputLayerFlag( Bool flag )                  { m_defaultOneTargetOutputLayerFlag = flag; } 
-  Bool    getDefaultOneTargetOutputLayerFlag( )                            { return m_defaultOneTargetOutputLayerFlag; } 
-#endif
   
   Void    setOutputLayerSetIdxMinus1( Int outLayerSetIdx, Int val )        { m_outputLayerSetIdxMinus1[ outLayerSetIdx ]  = val; } 
@@ -1042,14 +962,10 @@
   Void    setOutputLayerFlag( Int outLayerSetIdx, Int i, Bool flag )       { m_outputLayerFlag[ outLayerSetIdx ][ i ] = flag; } 
   Bool    getOutputLayerFlag( Int outLayerSetIdx, Int i )                  { return m_outputLayerFlag[ outLayerSetIdx ][ i ]; } 
-#if H_MV_6_HRD_O0217_13
   Bool    inferOutputLayerFlag( Int layerSetIdx, Int i )                   { return ( getDefaultOneTargetOutputLayerIdc( ) == 0 || ( ( getDefaultOneTargetOutputLayerIdc( ) == 1 ) && ( i == m_layerSetLayerIdList[layerSetIdx].size() - 1  ) ));  }
-#endif
 
   Void    setProfileLevelTierIdx( Int outLayerSetIdx, Int val )            { m_profileLevelTierIdx[ outLayerSetIdx  = val ]; }
   Int     getProfileLevelTierIdx( Int outLayerSetIdx )                     { return m_profileLevelTierIdx[ outLayerSetIdx ]; } 
-#if H_MV_6_GEN_0153_28
   Void    setAltOutputLayerFlag( Bool flag )                               { m_altOutputLayerFlag = flag; } 
   Bool    getAltOutputLayerFlag(  )                                        { return m_altOutputLayerFlag; } 
-#endif
 
   Void    setRepFormatIdxPresentFlag( Bool flag )                          { m_repFormatIdxPresentFlag = flag; } 
@@ -1067,21 +983,12 @@
   Bool    getMaxOneActiveRefLayerFlag( )                                   { return m_maxOneActiveRefLayerFlag; } 
 
-#if H_MV_6_HRD_O0217_13
   Void    setDpbSize( TComDpbSize* val )                                   { assert( m_dpbSize != 0 ); m_dpbSize = val; } 
   TComDpbSize* getDpbSize( )                                               { return m_dpbSize;} 
-#endif
-
-#if H_MV_6_MISC_O0062_31
+
   Void    setPocLsbNotPresentFlag( Int i, Bool flag )                      { m_pocLsbNotPresentFlag[i] = flag; } 
   Bool    getPocLsbNotPresentFlag( Int i )                                 { return m_pocLsbNotPresentFlag[i]; } 
-#endif
-#if !H_MV_6_PS_O0223_29  
-  Void    setCrossLayerIrapAlignedFlag( Bool flag )                        { m_crossLayerIrapAlignedFlag = flag; } 
-  Bool    getCrossLayerIrapAlignedFlag(  )                                 { return m_crossLayerIrapAlignedFlag; } 
-#endif
   Void    setDirectDepTypeLenMinus2( Int val)                              { m_directDepTypeLenMinus2 = val; } 
   Int     getDirectDepTypeLenMinus2( )                                     { return m_directDepTypeLenMinus2; } 
 
-#if H_MV_6_PS_O0096_21
   Void    setDefaultDirectDependencyFlag( Bool flag )                      { m_defaultDirectDependencyFlag = flag; } 
   Bool    getDefaultDirectDependencyFlag(  )                               { return m_defaultDirectDependencyFlag; } 
@@ -1089,5 +996,4 @@
   Void    setDefaultDirectDependencyType( Int  val )                       { m_defaultDirectDependencyType = val; } 
   Int     getDefaultDirectDependencyType(  )                               { return m_defaultDirectDependencyType; } 
-#endif
   Void    setDirectDependencyType( Int depLayeridInVps, Int refLayeridInVps, Int val) { m_directDependencyType[ depLayeridInVps ][ refLayeridInVps ] = val; } 
   Int     getDirectDependencyType( Int depLayeridInVps, Int refLayeridInVps)   { return m_directDependencyType[ depLayeridInVps ][ refLayeridInVps ]; } 
@@ -1101,9 +1007,5 @@
 
   Int     getScalabilityId ( Int layerIdInVps, ScalabilityType scalType );
-#if H_MV_6_FIX_GET_VIEW_ID
   Int     getViewId        ( Int layerIdInNuh )                            { return m_viewIdVal[ getViewIndex( layerIdInNuh )]; }
-#else
-  Int     getViewId        ( Int layerIdInNuh )                            { return m_viewIdVal[ getViewIndex( getLayerIdInVps( layerIdInNuh) )]; }
-#endif
   Void    setRefLayers(); 
 
@@ -1120,15 +1022,11 @@
   Int     getNumLayersInIdList ( Int lsIdx );
 
-#if H_MV_6_HRD_O0217_13
   Int     getNumOutputLayerSets() ;   
   Int     getNumSubDpbs( Int i )                                           { return getNumLayersInIdList( i ); };  
   Bool    isOutputLayer( Int outLayerSetIdx, Int layerIdInNuh );   
-#if H_MV_6_HRD_O0217_13
   Void    deriveLayerSetLayerIdList();
   Void    deriveTargetLayerIdLists();
   std::vector<Int> getTargetDecLayerIdList( Int targetOptLayerSetIdx )     { return m_targetDecLayerIdLists[targetOptLayerSetIdx]; }; 
   std::vector<Int> getTargetOptLayerIdList( Int targetOptLayerSetIdx )     { return m_targetDecLayerIdLists[targetOptLayerSetIdx]; }; 
-#endif
-#endif
 
 
@@ -1482,5 +1380,4 @@
   TimingInfo* getTimingInfo() { return &m_timingInfo; }
 
-#if H_MV_6_PS_O0118_33
   Void inferVideoSignalInfo( TComVPS* vps, Int layerIdCurr )
   {
@@ -1502,5 +1399,4 @@
     setMatrixCoefficients     ( videoSignalInfo->getMatrixCoeffsVps           () );     
   }
-#endif
 };
 
@@ -1588,17 +1484,12 @@
   TComVPS*    m_pcVPS; 
   // SPS 
-#if H_MV_6_PSEM_O0142_3
   Bool        m_spsExtensionFlag; 
   Bool        m_spsExtensionTypeFlag[PS_EX_T_MAX_NUM];
-#endif
   Bool        m_spsInferScalingListFlag;
   Int         m_spsScalingListRefLayerId;
   Bool        m_updateRepFormatFlag;
-#if H_MV_6_PS_REP_FORM_18_19_20  
   Int         m_spsRepFormatIdx;
-#endif
   // SPS Extension 
   Bool        m_interViewMvVertConstraintFlag;
-#if H_MV_6_SHVC_O0098_36
   Int         m_numScaledRefLayerOffsets;
   Int         m_scaledRefLayerId          [MAX_NUM_SCALED_REF_LAYERS];
@@ -1607,5 +1498,4 @@
   Int         m_scaledRefLayerRightOffset [MAX_NUM_LAYERS];
   Int         m_scaledRefLayerBottomOffset[MAX_NUM_LAYERS];
-#endif
 #endif
 #if H_3D
@@ -1744,5 +1634,4 @@
   TComPTL* getPTL()     { return &m_pcPTL; }
 #if H_MV
-#if H_MV_6_PSEM_O0142_3
   Void setSpsExtensionFlag( Bool flag ) { m_spsExtensionFlag = flag; } 
   Bool getSpsExtensionFlag( )  { return m_spsExtensionFlag; }
@@ -1750,5 +1639,4 @@
   Void setSpsExtensionTypeFlag( Int i, Bool flag ) { m_spsExtensionTypeFlag[i] = flag; } 
   Bool getSpsExtensionTypeFlag( Int i ) { return m_spsExtensionTypeFlag[i]; }
-#endif
   Void      setVPS          ( TComVPS* pcVPS ) { m_pcVPS = pcVPS; }
   TComVPS*  getVPS          () { return m_pcVPS; }
@@ -1762,13 +1650,10 @@
   Void setUpdateRepFormatFlag( Bool flag )     { m_updateRepFormatFlag = flag; } 
   Bool getUpdateRepFormatFlag(  )              { return m_updateRepFormatFlag; } 
-#if H_MV_6_PS_REP_FORM_18_19_20
   Void setSpsRepFormatIdx( Int  val )          { m_spsRepFormatIdx = val; } 
   Int  getSpsRepFormatIdx(  )                  { return m_spsRepFormatIdx; } 
-#endif
   // SPS Extension 
   Void setInterViewMvVertConstraintFlag(Bool val) { m_interViewMvVertConstraintFlag = val; }
   Bool getInterViewMvVertConstraintFlag()         { return m_interViewMvVertConstraintFlag;}
 
-#if H_MV_6_SHVC_O0098_36
   Void setNumScaledRefLayerOffsets( Int  val )    { m_numScaledRefLayerOffsets = val; } 
   Int  getNumScaledRefLayerOffsets(  )            { return m_numScaledRefLayerOffsets; } 
@@ -1788,5 +1673,4 @@
   Void setScaledRefLayerBottomOffset( Int j, Int  val ) { m_scaledRefLayerBottomOffset[j] = val; } 
   Int  getScaledRefLayerBottomOffset( Int j )           { return m_scaledRefLayerBottomOffset[j]; } 
-#endif
   // Inference 
   Void inferRepFormat( TComVPS* vps, Int layerIdCurr );
@@ -2199,7 +2083,5 @@
 // Additional slice header syntax elements 
   Bool       m_pocResetFlag; 
-#if H_MV_6_RALS_O0149_11
   Bool       m_crossLayerBlaFlag;
-#endif
   Bool       m_discardableFlag;
   Bool       m_interLayerPredEnabledFlag;
@@ -2529,5 +2411,4 @@
 // Additional slice header syntax elements
 
-#if H_MV_6_RALS_O0149_11
   Void setCrossLayerBlaFlag( Bool flag ) { m_crossLayerBlaFlag = flag; } 
   Bool getCrossLayerBlaFlag(  ) { return m_crossLayerBlaFlag; } 
@@ -2540,5 +2421,4 @@
     }
   }
-#endif
 
   Void setPocResetFlag( Bool flag ) { m_pocResetFlag = flag; } 
@@ -2561,9 +2441,7 @@
   Int  getInterLayerPredLayerIdcLen    ( ) { return gCeilLog2(  getVPS()->getNumDirectRefLayers( getLayerId() )); }
 
-#if H_MV_6_ILDDS_ILREFPICS_27_34
   Int  getRefLayerPicFlag( Int i ); 
   Int  getRefLayerPicIdc ( Int j ); 
   Int  getNumRefLayerPics( ); 
-#endif
 
   Int  getNumActiveRefLayerPics( );
